haskore-0.2.0.3: The Haskore Computer Music System

Safe Haskell | None

Haskore.Melody

# Documentation

data Note attr Source

Constructors

Note |

Fields

noteAttrs_ :: attr
notePitch_ :: T

Instances

Eq attr => Eq (Note attr) |
Ord attr => Ord (Note attr) |
Show attr => Show (Note attr) |

type T attr = T (Note attr)Source

noteAttrs :: T (Note attr) attrSource

notePitch :: T (Note attr) T Source

toMelodyNullAttr :: T attr -> T ()Source

note :: T -> T -> attr -> T attrSource

note' :: Class -> Octave -> T -> attr -> T attrSource

cf :: Octave -> T -> attr -> T attrSource

bs :: Octave -> T -> attr -> T attrSource

b :: Octave -> T -> attr -> T attrSource

bf :: Octave -> T -> attr -> T attrSource

as :: Octave -> T -> attr -> T attrSource

a :: Octave -> T -> attr -> T attrSource

af :: Octave -> T -> attr -> T attrSource

gs :: Octave -> T -> attr -> T attrSource

g :: Octave -> T -> attr -> T attrSource

gf :: Octave -> T -> attr -> T attrSource

fs :: Octave -> T -> attr -> T attrSource

f :: Octave -> T -> attr -> T attrSource

ff :: Octave -> T -> attr -> T attrSource

es :: Octave -> T -> attr -> T attrSource

e :: Octave -> T -> attr -> T attrSource

ef :: Octave -> T -> attr -> T attrSource

ds :: Octave -> T -> attr -> T attrSource

d :: Octave -> T -> attr -> T attrSource

df :: Octave -> T -> attr -> T attrSource

cs :: Octave -> T -> attr -> T attrSource

c :: Octave -> T -> attr -> T attrSource

cMaj :: [T ()]Source

cMajArp :: T ()Source

cMajChd :: T ()Source

noteToPitch :: T attr -> T Source

invertNote :: T -> Note attr -> Note attrSource

retro :: [(d, Atom (Note attr))] -> [(d, Atom (Note attr))]Source

invertRetro :: [(d, Atom (Note attr))] -> [(d, Atom (Note attr))]Source

retroInvert :: [(d, Atom (Note attr))] -> [(d, Atom (Note attr))]Source

invert :: [(d, Atom (Note attr))] -> [(d, Atom (Note attr))]Source